﻿using Infragistics.Win;
using Infragistics.Win.UltraWinTabs;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TabbedMDIAnimationCase
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.Load += Form1_Load;
            ultraTabbedMdiManager1.DrawFilter = new MDIDrawFilter();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            for (int i = 0; i <= 5; i++)
            {
                MyChildForm myform = new MyChildForm();
                myform.MdiParent = this;
                myform.Text = "Child Form" + i.ToString();
                myform.Show();
            }            

            this.ultraTabbedMdiManager1.TabSettings.TabAppearance.BackColor = Color.White;
        }
    }

    public class MDIDrawFilter : IUIElementDrawFilter
    {
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            System.Diagnostics.Debug.WriteLine(drawParams.Element);
            if(drawParams.Element is TabItemUIElement)
            {
                Pen pen = new Pen(Brushes.Red, 3);

                TabItemUIElement element = drawParams.Element as TabItemUIElement;

                Point startPoint = new Point(element.DrawingRect.X + 2, element.DrawingRect.Y);
                Point endPoint = new Point(element.DrawingRect.X + element.DrawingRect.Width - 4, element.DrawingRect.Y);

                drawParams.Graphics.DrawLine(pen, startPoint, endPoint);                                 
            }
            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            return DrawPhase.AfterDrawBorders;
        }
    }
}
